<refentry id="ulink.hyphenate">
<refmeta>
<refentrytitle>ulink.hyphenate</refentrytitle>
<refmiscinfo role="type">string</refmiscinfo>
</refmeta>
<refnamediv>
<refname>ulink.hyphenate</refname>
<refpurpose>Allow URLs to be automatically hyphenated</refpurpose>
</refnamediv>

<refsynopsisdiv>
<src:fragment id='ulink.hyphenate.frag'>
<xsl:param name="ulink.hyphenate" select="''"/>
</src:fragment>
</refsynopsisdiv>

<refsect1><title>Description</title>

<para>If not empty, the specified character (or more generally, content) is
added to URLs after every <quote>/</quote>. If the character specified is a
Unicode soft hyphen (0x00AD) or Unicode zero-width space (0x200B), some FO
processors will be able to reasonably hyphenate long URLs.</para>

<para>As of 28 Jan 2002, discretionary hyphens are more widely and correctly
supported than zero-width spaces for this purpose.</para>

</refsect1>
</refentry>
